#################################################
## fancybash - by Veit Wahlich <cru@ircnet.de> ##
## A coloured Bash prompt with extra features. ##
#################################################
## Non-Warranty Installation:                  ##
##                                             ##
##  $ su                                       ##
##  # cp fancybash /etc/                       ##
##  # echo ". /etc/fancybash" >>/etc/bashrc    ##
##                                             ##
## Next you should re-login and have fun.      ##
## If this does not work, you may try to       ##
## include it from /etc/profile instead        ##
## (or /etc/profile.local on SuSE systems).    ##
##                                             ##
## Need more help? Find a solution at:         ##
## http://ircnet.de/home/cru/fancybash/        ##
#################################################

if [ `id -u` -gt 0 ]; then
    C1='[0;36m'
    C2='[1;36m'
    C3='[1;30m'
    C4='[0m'
else
    C1='[1;33m'
    C2='[1;31m'
    C3='[0;31m'
    C4='[0m'
fi

PS1='\[${C3}\]-\[${C2}\](\[${C1}\]\u\[${C3}\]@\[${C1}\]\h\[${C3}\]:\[${C1}\]\l\[${C2}\])\[${C3}\]-\[${C2}\](\[${C1}\]$(ls -1|wc -l|tr -d "[:blank:]") files\[${C3}\]:\[${C1}\]$(ls -sh|head -n 1|sed "s/.* //")\[${C3}\]@\[${C1}\]\W\[${C2}\])\[${C3}\]-\[${C2}\](\[${C1}\]\j jobs\[${C2}\])\[${C3}\]-\[${C2}\](\[${C1}\]$(date +%H)\[${C3}\]:\[${C1}\]$(date +%M)\[${C2}\])\[${C3}\]-\[${C4}\]\n\[${C3}\]-\[${C2}\](\[${C1}\]\w\[${C3}\]:\[${C1}\]\$\[${C2}\])\[${C3}\]->\[${C4}\] '
